/users/v2/kyc/requirements/declared-personal-data

Get personal data declaration configuration

The endpoint GET /users/v2/kyc/requirements/declared-personal-data returns the configuration of self-declared personal data fields for KYC flows.

Considerations

If the flow_id parameter is omitted, the configurations for all flows are returned.

If flow_id is provided, the array of categories for that flow is returned directly.

If the flow_id does not exist, a 404 error is returned.

Field types

Type Description.
enum The value must be one of the values listed in options.
bool The value must be the string 'true' or 'false'. If it has must_be_value, it must match exactly.

Available parameters

Variant:

This endpoint accepts multiple body types. Select a variant to see its parameters and example.

Header Parameters
AuthorizationString
Query Parameters
flow_idString

Response details

401
Unauthorized
404
Flow not found.
Ejemplo de código
curl -X GET "https://api.pomelo.la/users/v2/kyc/requirements/declared-personal-data?flow_id=global-cards" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"
Ejemplo de respuesta (200)Declared data configuration
{
  "global-cards": [
    {
      "category": "work_and_income",
      "items": [
        {
          "field": "occupation",
          "type": "enum",
          "required": true,
          "options": [
            "Software Engineer",
            "Teacher"
          ]
        }
      ]
    }
  ]
}

Pomelo AI

Artificial intelligence assistant for inquiries about the Pomelo API
Hello!How can I help you today?